IF NOT EXISTS (SELECT NAME FROM SYSINDEXES  WITH (NOLOCK) 
               WHERE Name = 'IX_CustomerHotelNumber')
BEGIN
  CREATE NONCLUSTERED INDEX [IX_CustomerHotelNumber]
  ON [dbo].[Customer] ([MarkAsDeleted])
  INCLUDE ([CustomerNumber],[HotelNumber])
END
